"use client";

import type {
	IApiLoginReq,
	IApiLoginRes,
	IApiRegisterReq,
	IApiRegisterRes,
} from "@/interfaces/api.interface";
import type { IUserData } from "@/interfaces/userdata.interface";
import ApiRequest from "@/services/apiRequest";
import { EReturnState, IStandardisedReturn } from "@/services/general.interface";
import { useLocalStorage } from "@/services/localStorage";
import type { Dispatch, SetStateAction } from "react";

//TODO Run disconnect task
export function doDisconnect() {
	if (typeof window !== "undefined") {
		window.localStorage.removeItem("sub");
		//Redirect to homepage
		window.location.href = "/";
		return true;
	}
	console.log(
		"Whut ? Why trying to remove an item from the localStorage when runner in SSR ?",
	);
	return false;
}

//TODO Run update user data
